/*body {font-family: Arial, Helvetica, sans-serif;}*/

/* Full-width input fields input[type=text], input[type=file], input[type=password], input[type=date], input[type=email], input[type=tel], */
.w3-input-field {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  box-sizing: border-box;
}

/*This is for the welcoming text in courseview*/
.centertext {
  text-align:center
}

/* Set a style for all buttons */
.button {
  background-color: #4CAF50;
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  cursor: pointer;
  width: 100%;
}

.button:hover {
  opacity: 0.8;
}

/* Extra styles for the cancel button */
.cancelbtn {
  width: auto;
  padding: 10px 18px;
  background-color: #f44336;
}

/* Center the image and position the close button */
.imagecontainer {
  text-align: center;
  margin: 24px 0 12px 0;
  position: relative;
}

img.avatar {
  width: 40%;
  border-radius: 50%;
}

.w3-container {
  padding: 16px;
}

.w3-container.footer {
  background-color:#f1f1f1
}

span.password, span.remove_account {
  float: right;
  padding-top: 16px;
}

/* The Modal (background) */
.w3-modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
  padding-top: 60px;
}

/* Modal Content/Box */
.w3-modal-content {
  background-color: #fefefe;
  margin: 0% auto 15% auto; /* 5% from the top, 15% from the bottom and centered */
  border: 1px solid #888;
  width: 100%; /* Could be more or less, depending on screen size */
}

/* The Close Button (x) */
.w3-close {
  position: absolute;
  right: 25px;
  top: 0;
  color: #000;
  font-size: 35px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: red;
  cursor: pointer;
}

/* Add Zoom Animation */
.animate {
  -webkit-animation: animatezoom 0.6s;
  animation: animatezoom 0.6s
}

.signin, .register {
  background-color: #f1f1f1;
  text-align: center;
}

@-webkit-keyframes animatezoom {
  from {-webkit-transform: scale(0)} 
  to {-webkit-transform: scale(1)}
}
  
@keyframes animatezoom {
  from {transform: scale(0)} 
  to {transform: scale(1)}
}

/* Change styles for span and cancel button on extra small screens */
@media screen and (max-width: 300px) {
  span.password {
     display: block;
     float: none;
  }
  .cancelbtn {
     width: 100%;
  }
}



/* https://www.w3schools.com/howto/tryit.asp?filename=tryhow_js_responsive_navbar_dropdown header.php*/

#w3-body {
  margin: 0;
  font-family: Arial;
}

/* Add a black background color to the top navigation */
.w3-topnav {
  overflow: hidden;
  background-color: #333;
}

/* Style the links inside the navigation bar */
.w3-topnav .a-after-topnav {
  float: left;
  display: block;
  color: #f2f2f2;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 17px;
}

/* Add an active class to highlight the current page */
.w3-active {
  background-color: #4CAF50;
  color: white;
}

/* Hide the link that should open and close the topnav on small screens */
.w3-topnav .icon {
  display: none;
}

/* Dropdown container - needed to position the dropdown content */
.w3-dropdown {
  float: left;
  overflow: hidden;
}

/* Style the dropdown button to fit inside the topnav */
.w3-dropdown .w3-dropbtn {
  font-size: 17px;    
  border: none;
  outline: none;
  color: white;
  padding: 14px 16px;
  background-color: inherit;
  font-family: inherit;
  margin: 0;
}

/* Style the dropdown content (hidden by default) */
.w3-dropdown-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
}

/* Style the links inside the dropdown */
.w3-dropdown-content .a-after-dropdown-content {
  float: none;
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}

/* Add a dark background on topnav links and the dropdown button on hover */
.w3-topnav .a-after-topnav:hover, .w3-dropdown:hover .w3-dropbtn {
  background-color: #555;
  color: white;
}

/* Add a grey background to dropdown links on hover */
.w3-dropdown-content .a-after-dropdown-content:hover {
  background-color: #ddd;
  color: black;
}

/* Show the dropdown menu when the user moves the mouse over the dropdown button */
.w3-dropdown:hover .w3-dropdown-content {
  display: block;
}

/* When the screen is less than 600 pixels wide, hide all links, except for the first one ("Home"). Show the link that contains should open and close the topnav (.icon) */
@media screen and (max-width: 600px) {
  .w3-topnav .a-after-topnav:not(:first-child), .w3-dropdown .w3-dropbtn {
    display: none;
  }
  .w3-topnav .a-after-topnav.icon {
    float: right;
    display: block;
  }
}

/* The "responsive" class is added to the topnav with JavaScript when the user clicks on the icon. This class makes the topnav look good on small screens (display the links vertically instead of horizontally) */
@media screen and (max-width: 600px) {
  .w3-topnav.responsive {position: relative;}
  .w3-topnav.responsive .icon {
    position: absolute;
    right: 0;
    top: 0;
  }
  .w3-topnav.responsive .a-after-topnav {
    float: none;
    display: block;
    text-align: left;
  }
  .w3-topnav.responsive .w3-dropdown {float: none;}
  .w3-topnav.responsive .w3-dropdown-content {position: relative;}
  .w3-topnav.responsive .w3-dropdown .w3-dropbtn {
    display: block;
    width: 100%;
    text-align: left;
  }
}

/*header.php*/


/*view profile page*/

.w3-ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  width: 20%;
  background-color: #f1f1f1;
  position: fixed;
  height: 60%;
  overflow: auto;
}


.w3-li .a-after-w3-li {
  display: block;
  color: #000;
  padding: 8px 16px;
  text-decoration: none;
}

.w3-li .a-after-w3-li.active {
  background-color: #4CAF50;
  color: white;
}

.w3-li .a-after-w3-li:hover:not(.active) {
  background-color: #555;
  color: white;
}

/*view profile page*/